/*
 * endian.h
 *
 * Header file for endian.c.  Defines functions which read and
 * write big-endian and little-endian values, regardless of 
 * alignment.
 *
 * Kekoa Proudfoot
 * 12/7/96
 */

#ifndef ENDIAN_H_DEFINED
#define ENDIAN_H_DEFINED

/* Little endian */

extern unsigned short read_little_short  (void *src);
extern unsigned long  read_little_long   (void *src);
extern float          read_little_float  (void *src);

extern void           write_little_short (void *dst, unsigned short src);
extern void           write_little_long  (void *dst, unsigned long src);
extern void           write_little_float (void *dst, float src);

/* Big endian */

extern unsigned short read_big_short     (void *src);
extern unsigned long  read_big_long      (void *src);
extern float          read_big_float     (void *src);

extern void           write_big_short    (void *dst, unsigned short src);
extern void           write_big_long     (void *dst, unsigned long src);
extern void           write_big_float    (void *dst, float src);

#endif
